/**
 * Class for communicating with the breve simulator. 
 *
 * @author Axel Tidemann
 */

import java.io.*;
import java.net.*;

public class Breve {

    /*
     * The method reads from the breve simulator by requesting a file on 
     * breve's web server.
     */
    public static String read(String host, int port, String msg)
    {
	try{
	    //connect to the server via the given IP address and port number
	    Socket fSocket = new Socket (host, port);

	    //the request
	    String message = "GET /" + msg + "\n";

	    //output writer
	    PrintWriter pw_server_out = 
		new PrintWriter(new BufferedWriter(new OutputStreamWriter (fSocket.getOutputStream ())), true );

	    //send the request
	    pw_server_out.println (message);

	    //input stream
	    BufferedReader server_reader = 
		new BufferedReader (new InputStreamReader ( fSocket.getInputStream () )  );

	    //read the reply from breve
	    String response = server_reader.readLine();

	    fSocket.close();

	    return response;

	} catch  ( Exception uhe) {}

	return "failure.";
    }
}
	