%Loads a specific .mat file, and calls analyze_this, which is the proper
%analyze function.
%
%handles = hybrid_mosaic_analyze(filename, filename_prefix)
%
%Inputs:
%
%filename: The name of the .mat-file that holds the data for the hybrid
%mosaic experiment.
%
%filename_prefix: The prefix of the filenames of the saved files. If it is
%omitted, the function will not save the figures to PDF.
%
%Outputs:
%
%handles: A vector holding the handles to the different figures.

function [ handles, transitions ] = hybrid_mosaic_analyze(filename, filename_prefix)

%Loading the log file can take some time - they can typically be in the
%10s of MBs
disp('Loading file, please wait...')
load(filename);
disp('Finished loading file.')

if nargin < 2
    filename_prefix = [];
end

[ handles, transitions ] = analyze_this(hybrid_mosaic, hybrid_mosaic_error_log, filename_prefix);