%Communicates with breve, sends the motor commands. The [] input signifies
%a call to "reset".
%
%Inputs:
%
%motor_commands: A vector holding the different motor commands that will be
%sent to the breve simulator.
%
%Outputs: The state of breve after applying the motor commands.


function state = breve_breve_execute(motor_commands)

num_iterations = 1;
port = 7777;

if isempty(motor_commands)
    state = scale_angles(eval(Breve.read('localhost', port, 'reset')));
else
    state = scale_angles(eval(Breve.read('localhost', port, [ 'execute_' int2str(num_iterations) num2str(motor_commands', '_%f') ] )));
end

%Hack to make the appearance slower - used for video tracking.
%pause(1);