%Communicates with breve, sends the motor commands. The [] input signifies
%a call to "reset".
%
%Inputs:
%
%motor_commands: A vector holding the different motor commands that will be
%sent to the breve simulator.
%
%Outputs: 
%
%state: The state of breve after applying the motor commands.
%
%Historical note: there exists human_breve_execute and breve_breve_execute
%for historical reasons; in the beginning the experiments had different
%iterations between each call to breve. The different files remain for the
%possibility to make breve iterate differently when running experiments on
%human data versus computer generated data.

function state = human_breve_execute(motor_commands)

num_iterations = 1;
port = 7777;

if isempty(motor_commands)
    state = scale_angles(eval(Breve.read('localhost', port, 'reset')));
else
    state = scale_angles(eval(Breve.read('localhost', port, [ 'execute_' int2str(num_iterations) num2str(motor_commands', '_%f') ] )));
end

%Hack to make the appearance slower - used for video tracking.
%pause(1);